import java.util.Scanner;

public class AplicaFraccion {

	public static void main(String[] patito) {
		Scanner x = new Scanner(System.in); // Crea un objeto
		
		
		Fraccion x1;
		System.out.print ("Proporciona el primer numerador: ");
		int a = x.nextInt();
		System.out.print ("Proporciona el primer denominador: ");
		int b = x.nextInt();
		x1 = new Fraccion(a,b);
		//x1.Fraccion(a,b); // No se puede invocar al constructor
		
		System.out.print ("Proporciona el segundo numerador: ");
		a = x.nextInt();
		System.out.print ("Proporciona el segundo denominador: ");
		b = x.nextInt();
		Fraccion x2 = new Fraccion();
		//System.out.print("Antes de la asignacion: "+x2);
		x2.setN(a);
		x2.leeDen(b);
		// x1.n=10; // No es posible debido a que n es privada
		
		System.out.print("Primer sumando: ");
		x1.escribeFraccion();
		System.out.print("Segundo sumando: ");
		x2.escribeFraccion();
		
		Fraccion x3 = new Fraccion();
		x3.suma(x1,x2);
		System.out.print("Resultado: "+x3);
		
		Fraccion x4 = new Fraccion();
		x4 = x1.suma(x2);
		System.out.print("Resultado segunda forma: "+x4);
		
		x.close();
	}

}
